> For the complete documentation index, see [llms.txt](https://docs.sportmonks.com/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportmonks.com/v3/motorsport-api/welcome/welcome.md).

# Welcome

Welcome to our Motorsport API v3 documentation. Here you will find everything you need to know about Sportmonks’ Motorsport API.

We'll briefly inform you about the features of our API and then you can explore our documentation for yourself.

Sportmonks offers standard REST APIs. Requests are sent with URLs and responses will be returned in **JSON format**. Every authentication is spearheaded by an API token.

If you want to get started right away, great! Head over to our [**Getting Started section**](/v3/motorsport-api/welcome/getting-started.md), where you'll create your own API token and create your first request.

Are you currently using the [Formula One API v1](https://docs.sportmonks.com/v2/formula-one-api/) and want to migrate now? Check out our [Migration Guide](/v3/motorsport-api/tutorials-and-guides/guides/migrating-from-formula-one-api-v1-to-motorsport-api-v3.md) to get started.

{% hint style="info" %}
If you have questions, suggestions or feedback regarding Motorsport API v3, please contact our support team via <support@sportmonks.com>
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportmonks.com/v3/motorsport-api/welcome/welcome.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
